Package org.pushingpixels.flamingo.api.common

# Enum Class JCommandButtonStrip.StripOrientation

java.lang.Object
java.lang.Enum<JCommandButtonStrip.StripOrientation>
org.pushingpixels.flamingo.api.common.JCommandButtonStrip.StripOrientation

All Implemented Interfaces:
  `Serializable`, `Comparable<JCommandButtonStrip.StripOrientation>`, `Constable`

Enclosing class:
  `JCommandButtonStrip`

public static enum JCommandButtonStrip.StripOrientation extends Enum<JCommandButtonStrip.StripOrientation>
Button strip orientation.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HORIZONTAL`
Horizontal strip orientation.
`VERTICAL`
Vertical strip orientation.

## Method Summary

Modifier and Type
Method
Description
`static JCommandButtonStrip.StripOrientation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JCommandButtonStrip.StripOrientation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HORIZONTAL

public static final JCommandButtonStrip.StripOrientation HORIZONTAL
Horizontal strip orientation.

### VERTICAL

public static final JCommandButtonStrip.StripOrientation VERTICAL
Vertical strip orientation.

## Method Details

### values

public static JCommandButtonStrip.StripOrientation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JCommandButtonStrip.StripOrientation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null